Bug 97946 - need a mechanism to install a specific version of a package, and have packages co-exist
need a mechanism to install a specific version of a package, and have package...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-24 09:42 EDT by Need Real Name
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-02 12:53:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-06-24 09:42:37 EDT
Description of problem:

I want to install documentation RPMs for multiple releases, but up2date always
selects the most recent version of a given RPM, with no mechanism for installing
 multiple RPMs that can co-exist, or for installing a specific version of an RPM.

Version-Release number of selected component (if applicable):

up2date 2.8.39-1.7.2

How reproducible:

100%

Steps to Reproduce:
1. Create a custom channel.
2. Load the noarch documentation RPMs from multiple releases into that channel.
3. Try to install all of the documentation RPMs for all of the releases you loaded.
    
Actual results:

You only get the most recent version of a package, even if it can reasonably
co-exist with other RPMs.

Expected results:

There should be a mechanism (like what is used for the kernel rpms) to use for
RPMs that can have multiple versions installed and can legally co-exist with
each other.

Additional info:
Comment 1 Mihai Ibanescu 2003-06-24 09:48:28 EDT
To make multiple versions of the same package coexist, just add them to
removeSkipList (this is how the kernel packages are installed, without removing
prior versions).
Comment 2 Adrian Likins 2003-07-09 17:54:29 EDT
support for this as an action will probabaly land soon, cvs client
code can do it as an action, just need web/app code to let you
choose to install old packages.

Note You need to log in before you can comment on or make changes to this bug.